%define __os_install_post %{nil}

Summary: collect, organize, cite, and share your research sources
Name:	zotero
Version:	6.0.30
Release:	%mkrel 1
License:	MPLv1+
Group:		Office
URL:		https://www.zotero.org/
Source:		Zotero-%{version}_linux-x86_64.tar.xz
Source1:	zotero.png
Source2:  	zotero.desktop
Obsoletes: %{name} < %version
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv: no
#-----------------------------------------------------

%description
Zotero is the only research tool that automatically senses content in
your web browser, allowing you to add it to your personal library with
a single click. Whether you're searching for a preprint on arXiv.org, a journal
article from JSTOR, a news story from the New York Times, or a book from
your university library catalog, Zotero has you covered with support for
thousands of sites.

%prep
%setup -qn Zotero_linux-x86_64

%build
#nobuild

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}/opt/%{name}
cp -R * %{buildroot}/opt/%{name}/

#Link Excutable
mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/zotero/zotero %{buildroot}/%{_bindir}/%{name}

#Icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/%name.png

#Menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/%name.desktop


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/Zotero_linux-x86_64


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir /opt/%{name}
/opt/%{name}/*
%{_datadir}/pixmaps/%name.png
%{_datadir}/applications/%name.desktop


%changelog

* Sun Nov 5 2023  Agent Smith <ruidobranco@yahoo.com.br> 6.0.30-1pclos2023
-  Updated the package with latest sources / executables, 64 bit only

* Thu Sep 15 2022  Agent Smith <ruidobranco@yahoo.com.br> 6.0.13-1pclos2022
-  Updated the package with latest sources / executables, 64 bit only

* Tue Jun 15 2021  Agent Smith <ruidobranco@yahoo.com.br> 5.0.96.2-1pclos2021
-  Updated the package with latest sources / executables, 64 bit only

* Fri Jun 26 2020 tex - 5.0.88-1pclos2020
- new version
- fix launching it

* Tue May 05 2020  Agent Smith <ruidobranco@yahoo.com.br> 5.0.85-1pclos2020
-  Updated the package with latest sources / executables, 64 bit only

* Wed Mar 04 2015 bb <bb> 4.0.26.1-1pclos2015
-  create package 64bit only

